Photoshop Elements 15 *require 11.2.1

New Here ,
Mar 30, 2020

Copy link to clipboard

Copied

Photoshop Elements 15 

Camera Raw 9.10.0.739 installed

bought a Canon camera that requires Camera Raw 11.2.1

 

how do i obtain?

 

thank you

TOPICS
New user

Views

154

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

1 Correct Answer

Adobe Community Professional , Mar 31, 2020
Axel Matt Adobe Community Professional , Mar 31, 2020
The camera raw version 11.x isn't available for Photoshop Elements 15. You have to buy an update to the recent Photoshop Elements version.  If you don't want to update you can use the Adobe DNG converter to convert the RAW file of you camera into the DNG format. This can be also in older Elements versions. The DNG converter can be downloaded here for free: https://helpx.adobe.com/photoshop/using/adobe-dng-converter.html

Likes

Translate

Translate
Jump to answer Jump to answer
Adobe Community Professional ,
Mar 31, 2020

Copy link to clipboard

Copied

The camera raw version 11.x isn't available for Photoshop Elements 15. You have to buy an update to the recent Photoshop Elements version. 

If you don't want to update you can use the Adobe DNG converter to convert the RAW file of you camera into the DNG format. This can be also in older Elements versions. The DNG converter can be downloaded here for free:

https://helpx.adobe.com/photoshop/using/adobe-dng-converter.html

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more